For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTExecute Prompt
      • STREAMExecute Prompt as Stream
      • POSTSubmit Prompt Execution Actuals
      • POSTRetrieve Provider Payload
        • POSTDeploy Prompt Sandbox
        • POSTUpsert Prompt Sandbox Scenario
        • DELDelete Prompt Sandbox Scenario
LogoLogo
BlogLog InRequest Demo
Client SDKPromptsPrompt Sandboxes

Deploy Prompt Sandbox

Beta
POST
https://api.vellum.ai/v1/sandboxes/:id/prompts/:prompt_variant_id/deploy
POST
/v1/sandboxes/:id/prompts/:prompt_variant_id/deploy
1import requests
2
3url = "https://api.vellum.ai/v1/sandboxes/id/prompts/prompt_variant_id/deploy"
4
5payload = {}
6headers = {
7 "X-API-KEY": "<apiKey>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
200Successful
1{
2 "id": "string",
3 "created": "2024-01-15T09:30:00Z",
4 "label": "string",
5 "name": "string",
6 "last_deployed_on": "2024-01-15T09:30:00Z",
7 "input_variables": [
8 {
9 "id": "string",
10 "key": "string",
11 "type": "STRING",
12 "required": true,
13 "default": {
14 "type": "STRING",
15 "value": "string"
16 },
17 "extensions": {
18 "color": "string",
19 "description": "string",
20 "title": "string"
21 },
22 "schema": {}
23 }
24 ],
25 "last_deployed_history_item_id": "string",
26 "active_model_version_ids": [
27 "string"
28 ],
29 "status": "ACTIVE",
30 "environment": "DEVELOPMENT",
31 "description": "string"
32}
Was this page helpful?
Previous

Upsert Prompt Sandbox Scenario

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this sandbox.
prompt_variant_idstringRequired
An ID identifying the Prompt you'd like to deploy.

Headers

X-API-VersionstringOptional

Request

This endpoint expects an object.
prompt_deployment_idstring or nullOptionalformat: "uuid"

The Vellum-generated ID of the Prompt Deployment you’d like to update. Cannot specify both this and prompt_deployment_name. Leave null to create a new Prompt Deployment.

prompt_deployment_namestring or nullOptional>=1 character

The unique name of the Prompt Deployment you’d like to either create or update. Cannot specify both this and prompt_deployment_id. If provided and matches an existing Prompt Deployment, that Prompt Deployment will be updated. Otherwise, a new Prompt Deployment will be created.

labelstring or nullOptional>=1 character
In the event that a new Prompt Deployment is created, this will be the label it's given.
release_tagslist of strings or nullOptional

Optionally provide the release tags that you’d like to be associated with the latest release of the created/updated Prompt Deployment.

release_descriptionstring or nullOptional>=1 characterDefaults to
Optionally provide a description that details what's new in this Release.

Response

idstringformat: "uuid"
createdstringformat: "date-time"
labelstring<=150 characters

A human-readable label for the deployment

namestring<=150 characters
A name that uniquely identifies this deployment within its workspace
last_deployed_onstringformat: "date-time"
input_variableslist of objects
last_deployed_history_item_idstringformat: "uuid"
The ID of the history item associated with this Deployment's LATEST Release Tag
active_model_version_idslist of strings or nullRead-onlyDeprecated
Deprecated. This now always returns an empty array.
statusenum

The current status of the deployment

  • ACTIVE - Active
  • ARCHIVED - Archived
  • PENDING_DELETION - Pending Deletion
Allowed values:
environmentenum or null
Deprecated. The value returned will always be 'PRODUCTION'.
Allowed values:
descriptionstring or null

A human-readable description of the deployment